Bug 1322726 - [abrt] torbrowser-launcher: launcher.py:507:check_min_version:IOError: [Errno 2] No such file or directory: '/home/lup/.local/share/torbrowser/tbb/x86_64/tor-browser_en-US/Browser/TorBrowser/Docs/sources/versions'
Summary: [abrt] torbrowser-launcher: launcher.py:507:check_min_version:IOError: [Errno...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: torbrowser-launcher
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Mayr
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a3feec680526b9dc536de261faf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-31 08:42 UTC by Peter Ludikovsky
Modified: 2016-08-27 10:38 UTC (History)
2 users (show)

Fixed In Version: torbrowser-launcher-0.2.6-1.fc24 torbrowser-launcher-0.2.6-1.fc23 torbrowser-launcher-0.2.6-1.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-21 23:23:01 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.12 KB, text/plain)
2016-03-31 08:42 UTC, Peter Ludikovsky
no flags Details
File: environ (3.67 KB, text/plain)
2016-03-31 08:42 UTC, Peter Ludikovsky
no flags Details

Description Peter Ludikovsky 2016-03-31 08:42:10 UTC
Version-Release number of selected component:
torbrowser-launcher-0.2.4-1.fc23

Additional info:
reporter:       libreport-2.6.4
cmdline:        /usr/bin/python2 /usr/bin/torbrowser-launcher
executable:     /usr/bin/torbrowser-launcher
kernel:         4.4.6-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
launcher.py:507:check_min_version:IOError: [Errno 2] No such file or directory: '/home/lup/.local/share/torbrowser/tbb/x86_64/tor-browser_en-US/Browser/TorBrowser/Docs/sources/versions'

Traceback (most recent call last):
  File "/usr/bin/torbrowser-launcher", line 30, in <module>
    torbrowser_launcher.main()
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/__init__.py", line 62, in main
    app = Launcher(common, url_list)
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 94, in __init__
    self.run(False)
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 519, in run
    if not self.check_min_version():
  File "/usr/lib/python2.7/site-packages/torbrowser_launcher/launcher.py", line 507, in check_min_version
    for line in open(self.common.paths['tbb']['versions']).readlines():
IOError: [Errno 2] No such file or directory: '/home/lup/.local/share/torbrowser/tbb/x86_64/tor-browser_en-US/Browser/TorBrowser/Docs/sources/versions'

Local variables in innermost frame:
installed_version: None
self: <torbrowser_launcher.launcher.Launcher instance at 0x7f5a12259d40>

Comment 1 Peter Ludikovsky 2016-03-31 08:42:14 UTC
Created attachment 1142102 [details]
File: backtrace

Comment 2 Peter Ludikovsky 2016-03-31 08:42:15 UTC
Created attachment 1142103 [details]
File: environ

Comment 3 Fedora Update System 2016-08-11 21:31:01 UTC
torbrowser-launcher-0.2.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-196bdd506a

Comment 4 Fedora Update System 2016-08-11 21:31:35 UTC
torbrowser-launcher-0.2.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dc2a70c58a

Comment 5 Fedora Update System 2016-08-11 21:33:02 UTC
torbrowser-launcher-0.2.6-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f19d0e541

Comment 6 Fedora Update System 2016-08-12 14:27:53 UTC
torbrowser-launcher-0.2.6-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5f19d0e541

Comment 7 Fedora Update System 2016-08-12 20:52:40 UTC
torbrowser-launcher-0.2.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-196bdd506a

Comment 8 Fedora Update System 2016-08-12 20:52:44 UTC
torbrowser-launcher-0.2.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dc2a70c58a

Comment 9 Fedora Update System 2016-08-21 23:22:55 UTC
torbrowser-launcher-0.2.6-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-08-22 01:20:36 UTC
torbrowser-launcher-0.2.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-08-27 10:38:45 UTC
torbrowser-launcher-0.2.6-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.